BEGIN;
-- issue1616: remove permissions to access the structure part when deleting user

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.1.2/02_struktur_user.sql', current_timestamp);


-- Remove a user from the ka_benutzer_tbl
CREATE OR REPLACE FUNCTION jmd_delete_struktur_nutzer (
    user_id       integer
    ) RETURNS VOID
    LANGUAGE 'plpgsql' VOLATILE SECURITY DEFINER
    AS $$
BEGIN
    DELETE FROM ka_benutzer_tbl WHERE id = user_id;
END;
$$ ;

REVOKE ALL ON FUNCTION jmd_delete_struktur_nutzer(integer) FROM PUBLIC;
GRANT EXECUTE ON FUNCTION jmd_delete_struktur_nutzer(integer) TO GROUP :admin_group;


--
-- Finish
--
SET ROLE postgres;

--ROLLBACK;
COMMIT;