BEGIN;
-- issue2157: change option to document siblings to text
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.1/02_angaben_geschwister.sql', current_timestamp);


-- ----------------------------------------------------------
-- Add new field to master_tbl
-- (master_tbl_view is recreated in 99_master_tbl_view.sql)
-- ----------------------------------------------------------
DROP VIEW master_tbl_view CASCADE;

ALTER TABLE master_tbl ADD COLUMN angaben_geschwister VARCHAR(60);
UPDATE master_tbl SET angaben_geschwister = anzahl_geschwister;
ALTER TABLE master_tbl DROP COLUMN anzahl_geschwister CASCADE;

--
-- Finish
--
SET ROLE postgres;
COMMIT;
--ROLLBACK;
