BEGIN;

-- Set role
SET ROLE :db_adm;

-- 
-- Add an option "Freiwilligendienst" into aktuelle_situation_tbl (issue 3410)
--

-- History
INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.3.1/05_akt_situation.sql', current_timestamp);

INSERT INTO aktuelle_situation_tbl (id, value) VALUES (15, 'Freiwilligendienst');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (20, 'Freiwilligendienst');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (21, 'Verlassen der BRD');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (22, 'Aufnahme des Hochschulstudiums');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (23, 'Abschluss des Hochschulstudiums');
INSERT INTO biographie_art_tbl (id, value) VALUES (10, 'Freiwilligendienst');

-- Reactivate the role
SET ROLE postgres;

COMMIT;
