BEGIN;
-- 
-- Add 3 new options to 'fp_ziel'
-- 

-- Disable trigger so the last accessed time is not changed
ALTER TABLE master_tbl DISABLE TRIGGER USER;

-- Set role
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.3/02_fp_ziel.sql', current_timestamp);

INSERT INTO fp_ziel_tbl (id, value) VALUES (5, 'Berufliche Beratung und Orientierung');
INSERT INTO fp_ziel_tbl (id, value) VALUES (6, 'Berufsvorbereitung');
INSERT INTO fp_ziel_tbl (id, value) VALUES (7, 'Berufliche Qualifizierung');

UPDATE fp_ziel_tbl SET value = 'Alteintrag: berufliche Integration' WHERE id = 3;


-- Reactivate the role
SET ROLE postgres;

-- Reactivate the triggers
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
