<%inherit file="../main.mako" />
<%
formular_labels = {'start_date' : _('Startdate'),
                   'start_time' : _('Starttime'),
                   'end_date'   : _('Enddate'),
                   'end_time'   : _('Endtime'),
                   'title'      : _('Title'),
                   'trigger'    : _('Trigger'),
                  }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='appointment', action='overview')}">${_('Appointments list')}</a></li>
  <li><a href="${h.url(controller='appointment', action='new')}">${_('Create new event')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Create new event')}
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Create new event')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url(controller='appointment', action='overview')}"> ${_('Back to: Event overview')}</a>
        </li>
      </ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="appointment">
<div id="waska_form">
<form action="${h.url(controller='appointment', action='createAction')}" method="POST">
${ h.csrf_token() }
<%include file="edit_body.mako" />
</form>
</div>
</div>
