## -*- coding: utf-8 -*-
<%inherit file="../auth/main.mako" />
<h1>${_('%s Fehler %s') % (h.get_app_title(), c.error_code)}</h1>
  % if c.error_code == "401":
  ${_("""\
<p>Note: You do not have permission to perform the selected action.</p>
<p>Common reasons are:</p>
<ul>
  <li style='list-style-type: disc'>
    Using bookmarks / favourites: Please update your bookmarks.
  </li>
  <li style='list-style-type: disc'>
    Modified addresses or URLs: Please use only the menus and links of
    the application.
  </li>
  <li style='list-style-type: disc'>
    Using the browser's back-button: Please use only the menus and links
    of the application.
  </li>
  <li style='list-style-type: disc'>
    Using mutiple tabs. Please use only one tab\n"
  </li>
</ul>
<p>
  Please use the following link to continue working with the application:
</p>
""") | n}
  <p style="text-align:center">
    <a href="${h.url('/')}">${_('Back to the startpage')}</a>
  </p>
  % elif c.error_code == "404":
  ${_("""\
<p>
  Note: You tried to access information that does not exist.
</p>
<p>Common reasons are:</p>
<ul>
  <li style='list-style-type: disc'>
    Using bookmarks / favourites: Please update your bookmarks.
  </li>
  <li style='list-style-type: disc'>
    Modified addresses or URLs: Please use only the menus and links of
    the application.
  </li>
  <li style='list-style-type: disc'>
    Using the browser's back-button: Please use only the menus and links
    of the application.
  </li>
  <li style='list-style-type: disc'>
    Using mutiple tabs. Please use only one tab\n"
  </li>
</ul>
<p>
  Please use the following link to continue working with the application:
</p>
""") | n}
  <p style="text-align:center">
    <a href="${h.url('/')}">${_('Back to the blackboard')}</a>
  </p>
  % elif c.error_code == "405":
  <p>
    ${_("The used operation is not supported.")}
  </p>
  <p>
    ${_("This can e.g. happen, if you try to call the save operation from your bookmarks or favorites.")}
  </p>
  % else:
  <p>
    ${_("An unexpected error occurred.")}
  </p>
  % endif
<p>
  ${_('If this error persists, please contact %s.') % c.error_contact_info | n}<br>
  ${_('Please report the following informations:')}
</p>

<ul>
  <li style="list-style-type: disc">${_('What browser was used? (with version number, if known)')}</li>
  <li style="list-style-type: disc">${_('Has the error occured before?')}</li>
  <li style="list-style-type: disc">${_('When did the error happen? Please give us a description of the steps that lead to the error.')}</li>
</ul>
