BEGIN;
-- issue2039: Integrationskurs wird doppelt abgefragt
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.1/05_integrationskurs.sql', current_timestamp);


-- ----------------------------------------------------------
-- Remove the option "Integrationskurs" from Dropdwon "Art der Manahme"
-- and use instead the same option in "Aktuelle Situation"
-- ----------------------------------------------------------
UPDATE master_tbl SET aktuelle_situation = 11 WHERE aktuelle_situation  = -1 AND aktuelle_massnahme_art = 3;
UPDATE master_tbl SET aktuelle_massnahme_art = -1 WHERE aktuelle_massnahme_art = 3;

DELETE FROM aktuelle_massnahme_art_tbl WHERE id = 3;

--
-- Finish
--
SET ROLE postgres;
COMMIT;

