## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />

<%def name="title()">
    ${h.get_app_title()} - ${_('Helppage')}
</%def>

<h1>${_('Helppage for the flexible search')}</h1>

<p>
  Die flexible Suche bietet die Möglichkeit bestimmte Akten anhand von
  Feldern zu finden. Einige Felder sind dabei je nach Rolle bereits vorgegeben.
  Sie können Felder hinzufügen, um Ihre Suche zu verfeinern.
</p>

<h2>${_('Add fields')}</h2>
<p>
  Zunächst müssen Sie auswählen, welches Feld Sie durchsuchen möchten. Klicken
  Sie dazu auf das Feld <b>„Feldname“</b> und geben Sie den Namen des Feldes ein, z.B.
  <b>„Geburtsdatum“</b>. Sie müssen dabei nur einen Teil des Feldes
eingeben.
  Es werden direkt alle zutreffenden Felder angezeigt. Durch Klick auf den
  entsprechenden Namen wird dieser im Textfeld ergänzt. Durch einen
anschließenden
  Klick auf <b>„Hinzufügen“</b> wird die Suche um dieses Feld ergänzt.
</p>
<p>
Sie können ihre Fallakten auch nach Tagebucheinträgen durchsuchen. Dazu geben
Sie bei der Such des Feldnamens einfach <b>„Tagebucheintrag“</b> ein und wählen dann
<b>„Art“, „Datum“, „Notiz“</b> oder <b>„Nennung Sonstiges“</b> aus.
</p>

<h2>${_('Define fields')}</h2>
<p>
  Durch Klick auf einen der Feldnamen öffnet sich dieses und Sie können einen
  Wert bzw. einen Suchbereich hinzufügen. Die Möglichkeiten variieren je nach
Feldtyp.
</p>
<p>
Falls Sie mehrere Auswahlfelder selektieren möchten, dann drücken und halten
Sie die Taste <b>Strg</b> und klicken Sie auf die zusätzlichen
Auswahlmöglichkeiten. Wenn Sie alle Auswahlfelder in einem Bereich markieren
möchten, dann klicke Sie auf den ersten Eintrag des Bereichs. Anschließend
drücken und halten Sie <b>Shift</b>-Taste während Sie auf ein weiteres 
Auswahlfeld klicken.
</p>
<p>
Bei Suchparametern mit langen Auswahlmenüs (z.B. <b>„Herkunftssprache“</b>), können
Sie in die Auswahl klicken und das gesuchte Wort tippen (z.B. <b>„Griechisch“</b>). Die
Auswahl springt dann zum gesuchten Wort.
</p>

<h2>${_('Save, load and delete a search')}</h2>
<p>
  Sie können Ihre Suche jederzeit wiederverwenden. Nachdem Sie die Felder definiert
  haben, reicht ein Klick auf <b>„Aktuelle Suche speichern“</b> aus. Ihre Suche ist
  nun gespeichert. Sie können diese nun jederzeit aufrufen und ggf. anpassen. Wenn
  Sie eine Suche umbenennen oder löschen möchten, klicken Sie zunächst auf
  <b>„Gespeicherte Suchen verwalten“</b>. Sie sehen nun eine Liste mit Ihren
Suchen.
  Durch Klick auf das entsprechende Symbol können Sie die Suche umbenennen oder
  löschen.
</p>
