## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="showAppointmentActions(appointment)">
  %if appointment.case_id:
    ## Ususal appointment
    % if appointment.type == 0:
      <a href="${h.url(controller='caseappointment', action='show', id=appointment.id, confirmed=0)}">
        <img src="${h.url('/images/icons/open_active_22.png')}" border="0" alt="${_('Show')}" title="${_('Show')}"></a>
    ## Reminder
    % else:
      <a href="${h.url(controller='caseappointment', action='show', id=appointment.id, confirmed=0)}">
        <img src="${h.url('/images/icons/open_active_22.png')}" alt="${_('Show')}" title="${_('Show')}"></a>
    % endif
  % else:
    <a href="${h.url(controller='caseappointment', action='show', id=appointment.id)}">
      <img src="${h.url('/images/icons/open_active_22.png')}" border="0" alt="${_('Show')}" title="${_('Show')}"></a>
  % endif
</%def>

<div class="repair">
  <table class="table table-condensed table-striped table-hover appointment">
   <thead>
    <tr>
      <th class="date table_header_h">${_('Date')}</th>
      <th class="name table_header_h">${_('Name')}</th>
      <th class="title table_header_h">${_('Description')}</th>
      <th class="action table_header_h">${_('Actions')}</th>
    </tr>
   </thead>
    <% num = 0 %>
    % for appointment in c.appointmentlist.getDatasets():
    <% cls = num % 2 and 'hl' or 'table_row_h2' %>
    <% num += 1 %>
    <tr class="hl">
      <td class="date">${h.dd_mm_YYYY(appointment.getStartDate())}</td>
      <td class="name">${appointment.getCaseSubject() | F.NA}</td>
      <td class="title">
        ${appointment.title | F.NA}
        <% description = F.shorten(appointment.description,120) %>
        <div class="description">${description | F.NA}</div>
      </td>
      <td class="action">
       ${self.showAppointmentActions(appointment)}
      </td>
    </tr>
    % endfor
    % if len(c.appointmentlist.getDatasets()) <= 0:
    <tr>
      <td colspan="4">${_('No event found')}</td>
    </tr>
    % endif
  </table>
</div>
