## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />

<%def name="title()">
    ${h.get_app_title()} - ${_('Black board')}
</%def>

% if g.login_db:
<div id="status_str_nofloat">
    <strong>${_('Login Status:')}</strong>
    ${_('Last successful login:')} ${h.NA(h.format_datetime(session.get('LAST_SUCCESSFUL_LOGIN')))},
    ${_('Last failed login:')} ${h.NA(h.format_datetime(h.get_last_failed_login()))}
</div>
% endif

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Black Board')}
  </div>
</div>

% if (h.getLogin() == 'adm'):
  <div id="adm_beta">
    <p>${_('You reside in the central administration')}</p><br>
    <p>${_('Under the menu item "User" you can')}.</p>
    <ul>
      <li>${_('Create new user')}</li>
      <li>${_('Organise already existing user')}</li>
    </ul>
    <p>${_('Under the menu item "Agency" you can')}:</p>
    <ul>
      <li>${_('Configure the name and other settings of the agency')}</li>
      <li>${_('Activate the transmission of anonymised cases')}</li>
    </ul>
  </div>
% else:
  ## NEWS
  % if g.mpuls_config.is_enabled('module', 'news'):
    % if c.news.getList():
      <div class="news">
        <h2>${_('Current information')}</h2>
        <%include file="/news/newslist.mako"/>
      </div>
    % endif
  % endif
  ## CUSTOM CONTENT ON BLACKBOARD
  <%include file="/home/customcontent.mako"/>
  ## APPOINTMENTS
  ## Reminders
  % if g.mpuls_config.is_enabled('case-module', 'reminders'):
    <h2>${_('Reminders')}</h2>
    <%include file="/home/remindlist.mako"/>
  % endif
  ## Case
  % if g.mpuls_config.is_enabled('case-module', 'appointments') and h.hasRole(['cm']):
    <h2>${_('Own appointments')}</h2>
    <%include file="/home/caseappointmentlist.mako"/>
  % endif
  ## Global
  % if g.mpuls_config.is_enabled('module', 'appointments'):
    <h2>${_('Agency-wide appointments')}</h2>
    <%include file="/home/globalappointmentlist.mako"/>
  % endif
% endif
